# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/orthologer, last modified Fri Sep 13 09:42:11 2024
# ------------------------------------------------

package:
  name: orthologer
  version: 3.4.0
source:
  sha256: e51aff8180dfe5c2843025e0babb6be0a3357a8e3241b650b4e263be81e067e4
  url: https://data.orthodb.org/current/download/software/orthologer_3.4.0.tgz
build:
  number: '0'
  run_exports:
    - orthologer >=3.4.0,<4.0a0
  string: h49642b6_0
requirements:
  build:
    - bash 5.2.21 h0f89e9d_0
    - bzip2 1.0.8 hfdf4475_7
    - c-ares 1.33.1 h44e7173_0
    - ca-certificates 2024.8.30 h8857fd0_0
    - cctools_osx-64 1009.2 heaa7f0c_0
    - clang 16.0.6 default_h179603d_13
    - clang-16 16.0.6 default_h0c94c6a_13
    - clang_impl_osx-64 16.0.6 h8787910_19
    - clang_osx-64 16.0.6 hb91bd55_19
    - clangxx 16.0.6 default_h179603d_13
    - clangxx_impl_osx-64 16.0.6 h6d92fbe_19
    - clangxx_osx-64 16.0.6 hb91bd55_19
    - cmake 3.30.3 h7243fc2_0
    - compiler-rt 16.0.6 ha38d28d_2
    - compiler-rt_osx-64 16.0.6 ha38d28d_2
    - icu 75.1 h120a0e1_0
    - krb5 1.21.3 h37d8d59_0
    - ld64_osx-64 907 h3516399_0
    - libclang-cpp16 16.0.6 default_h0c94c6a_13
    - libcurl 8.10.0 h58e7537_0
    - libcxx 18.1.8 hd876a4e_7
    - libcxx-devel 16.0.6 h8f8a49f_2
    - libedit 3.1.20191231 h0678c8f_2
    - libev 4.33 h10d778d_2
    - libexpat 2.6.3 hac325c4_0
    - libiconv 1.17 hd75f5a5_2
    - libllvm16 16.0.6 hbedff68_3
    - libnghttp2 1.58.0 h64cf6d3_1
    - libssh2 1.11.0 hd019ec5_0
    - libuv 1.48.0 h67532ce_0
    - libxml2 2.12.7 heaf3512_4
    - libzlib 1.3.1 h87427d6_1
    - llvm-tools 16.0.6 hbedff68_3
    - make 4.4.1 h00291cd_1
    - ncurses 6.5 hf036a51_1
    - openssl 3.3.2 hd23fc13_0
    - readline 8.2 h9e318b2_1
    - rhash 1.4.4 h0dc2134_0
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1300.6.5 h390ca13_0
    - xz 5.2.6 h775f41a_0
    - zstd 1.5.6 h915ae27_0
  host:
    - bash 5.2.21 h0f89e9d_0
    - ca-certificates 2024.8.30 h8857fd0_0
    - gettext 0.22.5 hdfe23c8_3
    - gettext-tools 0.22.5 hdfe23c8_3
    - libasprintf 0.22.5 hdfe23c8_3
    - libasprintf-devel 0.22.5 hdfe23c8_3
    - libcxx 18.1.8 hd876a4e_7
    - libgettextpo 0.22.5 hdfe23c8_3
    - libgettextpo-devel 0.22.5 hdfe23c8_3
    - libiconv 1.17 hd75f5a5_2
    - libidn2 2.3.7 h10d778d_0
    - libintl 0.22.5 hdfe23c8_3
    - libintl-devel 0.22.5 hdfe23c8_3
    - libunistring 0.9.10 h0d85af4_0
    - libzlib 1.3.1 h87427d6_1
    - llvm-openmp 16.0.6 hff08bdf_0
    - lz4-c 1.9.4 hf0c8a7f_0
    - ncurses 6.5 hf036a51_1
    - openssl 3.3.2 hd23fc13_0
    - popt 1.16 h7b079dc_2002
    - readline 8.2 h9e318b2_1
    - rsync 3.3.0 h5aaac6a_0
    - wget 1.21.4 hca547e6_0
    - xxhash 0.8.2 h4140336_0
    - zlib 1.3.1 h87427d6_1
    - zstd 1.5.6 h915ae27_0
  run:
    - bash >=4.1
    - biopython
    - blast
    - cd-hit
    - diamond
    - libcxx >=16
    - llvm-openmp >=16.0.6
    - mmseqs2
    - numpy
    - python >=3.4
    - rsync
    - wget
test:
  commands:
    - ALLOW_RUNAS_ROOT=1 orthologer -h
about:
  description: compute orthology
  dev_url: https://gitlab.com/ezlab/orthologer_container
  doc_url: https://orthologer.ezlab.org/#on-orthodb-data
  home: https://orthologer.ezlab.org
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: Assessment of assembly completeness using Universal Single Copy Orthologs.
extra:
  container:
    extended-base: true
  copy_test_source_files: true
  final: true
  identifiers:
    - biotools:orthologer
  recipe-maintainers:
    - ftegenfe
